[
  %% Kernel/logger
%%  {kernel, [{logger,[{handler,default,logger_std_h,#{}}]}
%%    %%,{logger_level,info}
%%  ]},
  {inpin,
    [
      {'web.server.port', 3000},
      {'mysql.connection.count' ,64},
      {'mysql.ip', "db"},
      {'mysql.user', "root"},
      {'mysql.password', "root"},
      {'mysql.database', "inpin"}]},

  {lager, [{colored, true},
    {colors, [
      {debug, "\e[104m"},
      {info, "\e[48;5;2m"},
      {notice, "\e[48;5;6m"},
      {warning, "\e[48;5;3m"},
      {error, "\e[4;5;41m"},
      {critical, "\e[48;5;199m"},
      {alert, "\e[48;5;208m"},
      {emergency, "\e[4;5;91m"}
    ]},

    {error_logger_hwm, 500},
    {handlers, [
      %% {lager_console_backend, debug},
      {lager_console_backend, [{level, info}, {formatter, lager_default_formatter},
        {formatter_config, ["\e[2m", time,
          " \e[0m\e[21m\e[1m", color, "|\e[4m", severity, "|\e[0m",
          {module, ["\e[44m", module, "\e[0m",
            {line, [":\e[91m", line, "\e[0m"], ""}], ""}, "",
          " \e[38;5;129m-> \e[0m\e[4;49;93m{\e[0m", message, "\e[4;49;93m}\e[0m", "\r\n"]}]},
      {lager_file_backend, [{file, "log/error.log"}, {level, error}]},
      {lager_file_backend, [{file, "log/console.log"}, {level, info}]},
      {lager_file_backend, [{file, "log/debug.log"}, {level, debug}]}
    ]}
  ]}
].
